{% extends "dashboard/dashboard_content.html" %}


{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Existing Account
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="alert alert-warning" role="alert">
                    {% if info.account_status == 'Deactive' %}
                        <div style="text-align: center"><h4><strong> Please enter the missing details to re-activate
                            your GCT-WiFi</strong></h4></div>
                    {% elif request.session.sync %}
                        <div style="text-align: center"><h4><strong> Please enter the missing details to enable reset
                            password feature on GCT-WiFi
                        </strong></h4></div>
                    {% endif %}
                </div>
                <div class="col-md-8 col-md-offset-2">
                    <table class="table table-striped table-bordered text-center">
                        <tbody>
                        <tr>
                            <th>Username</th>
                            <td>{{ info.username }}</td>
                        </tr>
                        <tr>
                            <th>MAC ID</th>
                            <td>{{ info.mac_id }}</td>
                        </tr>
                        <tr>
                            <th>Device</th>
                            <td>{{ info.device_type }}</td>
                        </tr>
                        <tr>
                            <th>Make and Model</th>
                            <td>{{ info.model }}</td>
                        </tr>
                        <tr>
                            <th>OS</th>
                            <td>{{ info.os }}</td>
                        </tr>
                        <tr>
                            <th>Request Status</th>
                            <td>{{ info.request_status }}</td>
                        </tr>
                        <tr>
                            <th>Account Status</th>
                            <td>{{ info.account_status }}</td>
                        </tr>
                        </tbody>
                    </table>
                    <div class="col-sm-2 col-sm-offset-4">
                        <form method="POST">{% csrf_token %}
                            {% if info.account_status == 'Deactive' %}
                                <input type="submit" name="resubmit" value="Request Re-activation"
                                       class="save btn btn-lg btn-primary"/>
                            {% endif %}
                            {% if request.session.sync %}
                                <input type="submit" name="sync" value="Sync account"
                                       class="save btn btn-lg btn-primary"/>
                            {% endif %}
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        $('document').ready(function () {
            $('#reset_password').click(function () {
                window.location.href = "{% url 'reset_wifi_password' %}"
            });
        });
    </script>

{% endblock %}

